Package net.sf.saxon.s9api

## Class SAXDestination

- java.lang.Object
- - net.sf.saxon.s9api.AbstractDestination
  - - net.sf.saxon.s9api.SAXDestination

- All Implemented Interfaces:
    `Destination`

      public class SAXDestination
      extends AbstractDestination

  This class represents a `Destination` (for example, the destination of the output of a transformation) in which events representing the XML document are sent to a user-supplied SAX2 `ContentHandler`, as if the `ContentHandler` were receiving the document directly from an XML parser.

  If the supplied `ContentHandler` implements the `LexicalHandler` interface, then comment nodes will be notified to the handler; if not, comments will be silently ignored.

  Namespace-related information is reported to the `ContentHandler` following the conventions of an `XMLReader` configured with default values for the features `http://xml.org/sax/features/namespaces` and `http://xml.org/sax/features/namespace-prefixes`.

  If and only if the supplied `ContentHandler` implements the `TransformerHandler` interface, then unparsed entities may be notified to the `DTDHandler.unparsedEntityDecl(String, String, String, String)` method.

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.s9api.AbstractDestination

      `helper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SAXDestination​(org.xml.sax.ContentHandler handler)` | Create a SAXDestination, supplying a SAX ContentHandler to which events will be routed

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the destination, allowing resources to be released.
    `Receiver` | `getReceiver​(PipelineConfiguration pipe, SerializationProperties params)` | Return a Receiver.

    - ### Methods inherited from class net.sf.saxon.s9api.AbstractDestination

      `closeAndNotify, getDestinationBaseURI, onClose, setDestinationBaseURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAXDestination

          public SAXDestination​(org.xml.sax.ContentHandler handler)

      Create a SAXDestination, supplying a SAX ContentHandler to which events will be routed
      Parameters:
        `handler` - the SAX ContentHandler that is to receive the output. If the ContentHandler is also a `LexicalHandler` then it will also receive notification of events such as comments.

  - ### Method Detail

    - #### getReceiver

          public Receiver getReceiver​(PipelineConfiguration pipe,
                                      SerializationProperties params)

      Return a Receiver. Saxon calls this method to obtain a Receiver, to which it then sends a sequence of events representing the content of an XML document.
      Parameters:
        `pipe` - The Saxon configuration. This is supplied so that the destination can use information from the configuration (for example, a reference to the name pool) to construct or configure the returned Receiver.
        `params` - Seriaization properties. Since this destination is not a serializing destination. the main property of interest is `item-separator`.
      Returns:
        the Receiver to which events are to be sent.

    - #### close

          public void close()

      Close the destination, allowing resources to be released. Saxon calls this method when it has finished writing to the destination.